- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Argument
  - TicketObj
  - ScripObj
  - TransactionObj
  - Type

# NAME

      RT::Condition - generic baseclass for scrip condition;

# SYNOPSIS

        use RT::Condition;
        my $foo = RT::Condition->new(
                    TransactionObj => $tr,
                    TicketObj => $ti,
                    ScripObj => $scr,
                    Argument => $arg,
                    Type => $type);

        if ($foo->IsApplicable) {
               # do something
        }

# DESCRIPTION

# METHODS

## Argument

Return the optional argument associated with this ScripCondition

## TicketObj

Return the ticket object we're talking about

## ScripObj

Return the Scrip object we're talking about

## TransactionObj

Return the transaction object we're talking about

## Type

← Back to index